import 'package:libaqueous/src/client/client.dart';
import 'package:libaqueous/src/client/user/user_state.dart';

class User {
  User(this.client, this.state);

  final UserState state;

  String get id => state.userID;

  String get displayName => state.name ?? state.userID;

  Uri get avatarUrl => state.avatarUrl;

  final Client client;
}
